Bug 840224 - Clock applet crashes whole of gnome-shell, error message about utf-8 conversion.
Clock applet crashes whole of gnome-shell, error message about utf-8 conversion.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 08:40 EDT by Kyrre Ness Sjøbæk
Modified: 2013-08-01 02:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:49:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changed dateMenu.js from /usr/share/gnome-shell/js/ui/dateMenu.js. Search for "//!!!" and find my two changes. (9.65 KB, application/javascript)
2012-07-14 08:40 EDT, Kyrre Ness Sjøbæk
no flags Details
UTF-8 in gnome-terminal (207.94 KB, image/png)
2012-07-14 08:54 EDT, Kyrre Ness Sjøbæk
no flags Details

  None (edit)
Description Kyrre Ness Sjøbæk 2012-07-14 08:40:38 EDT
Created attachment 598242 [details]
Changed dateMenu.js from /usr/share/gnome-shell/js/ui/dateMenu.js. Search for "//!!!" and find my two changes.

Description of problem:
Unsuspending the computer today, I noticed that the clock on the upper panel was stuck on the date/time as when I last suspended it. Trying to restart gnome-shell ("r" in run dialog) results in me being left without a window manager. Logging in/out and rebooting the machine does not change anything.

However, nautilus does start, and I thus manage to get a gnome-terminal. Starting gnome-shell from yields a backtrace (I will try to attach it after reporting this bug), from which I find the lines in the javascript that produces the issue. Commenting these out (see attachment) "resolves" the problem and lets me start gnome-shell, albeit without a working clock applet.

Version-Release number of selected component (if applicable):
gnome-shell-3.4.1-5.fc17.x86_64

How reproducible:
Every time TODAY (Saturday 14th of July), never before. Might be related to the date?

Additional info:
In .bashrc, I have set
export LC_TIME="norwegian"
as I don't like the american date/time format (the rest of my shell is set to en_US.utf8, as the standard norwegian decimal separator "," messes with some programs, and I don't like it either.) Saturday in norwegian is spelled "Lørdag" with a \oslash. However, running unset LC_TIME before trying to start gnome-shell doesn't make any difference - and anyway, .bashrch isn't run before starting gnome-shell through whatever-GDM-is-called-these-days.
Comment 1 Kyrre Ness Sjøbæk 2012-07-14 08:42:42 EDT
kyrre ~ $ gnome-shell
    JS ERROR: !!!   Exception was: Error: Failed to convert UTF-8 string to JS string: Invalid byte sequence in conversion input
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = '"gjs_throw"'
    JS ERROR: !!!     stack = '"("Failed to convert UTF-8 string to JS string: Invalid byte sequence in conversion input")@gjs_throw:0
("%a %R")@/usr/share/gnome-shell/js/ui/environment.js:74
()@/usr/share/gnome-shell/js/ui/dateMenu.js:213
wrapper()@/usr/share/gjs-1.0/lang.js:204
([object Object])@/usr/share/gnome-shell/js/ui/dateMenu.js:171
wrapper([object Object])@/usr/share/gjs-1.0/lang.js:204
([object Object])@/usr/share/gjs-1.0/lang.js:145
([object Object])@/usr/share/gjs-1.0/lang.js:239
()@/usr/share/gnome-shell/js/ui/panel.js:980
wrapper()@/usr/share/gjs-1.0/lang.js:204
()@/usr/share/gjs-1.0/lang.js:145
()@/usr/share/gjs-1.0/lang.js:239
start()@/usr/share/gnome-shell/js/ui/main.js:218
@<main>:1
"'
    JS ERROR: !!!     message = '"Failed to convert UTF-8 string to JS string: Invalid byte sequence in conversion input"'
Window manager warning: Log level 32: Execution of main.js threw exception: Error: Failed to convert UTF-8 string to JS string: Invalid byte sequence in conversion input
Comment 2 Kyrre Ness Sjøbæk 2012-07-14 08:54:42 EDT
Created attachment 598244 [details]
UTF-8 in gnome-terminal

Also note that there seems to be some utf8 problem in gnome-terminal, as running the "date" command (with LC_TIME="norwegian") yields the results shown in the screenshot. In a "raw TTY" (control-alt-f#) i get a square instead of the "ø".

However, writing a file in emacs containing the string "æøå" with UTF8 (little "u" in bottom left corner) works fine.

Finally, I had a lot of problems obtaining this screenshot, hitting alt-prtscrn would not give me an updated image (the window was as it looked like a few commands earlier, and hiding the window/flipping tabs in gnome-shell/etc. would not resolve it. prtscrn alone worked however.
Comment 3 Fedora End Of Life 2013-07-03 21:51:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 02:49:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.